#!/usr/bin/perl

use 5.008;
use strict;
use warnings;

use Image::Magick;

my $w;

my $karte = Image::Magick->new();
$w = $karte->ReadImage('karte.png');
die $w if $w;

my $overlay = Image::Magick->new();
$w = $overlay->Set( size => '800x600' );
die $w if $w;
$w = $overlay->ReadImage('xc:none');
die $w if $w;

my $globe = Image::Magick->new();
$w = $globe->ReadImage('globe.png');
die $w if $w;

$w = $overlay->Composite(
    geometry => '10x10',
    image    => $globe,
    compose  => 'over'
);
die $w if $w;

$w = $overlay->Annotate(
    text      => 'Karte 1',
    font      => 'arialb.ttf',
    fill      => 'blue',
    pointsize => '36',
    geometry  => '+400+50'
);
die $w if $w;

my $arrow = Image::Magick->new();
$w = $arrow->ReadImage('arrow.png');
die $w if $w;

$w = $overlay->Composite(
    geometry => '+700+10',
    image    => $arrow,
    compose  => 'over'
);
die $w if $w;

$w = $overlay->Annotate(
    text      => '(c)2134 Copyleft by Prof.Gwen.Dr.Agon',
    font      => 'ariali.ttf',
    fill      => 'black',
    pointsize => '24',
    geometry  => '+10+600'
);
die $w if $w;

$w = $karte->Composite(
    geometry => '+10+10',
    image    => $overlay,
    compose  => 'over'
);
die $w if $w;

$w = $karte->Write('demo.jpg');
die $w if $w;
